apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

namespace: stable
# namePrefix: stable-   # rien n'interdit de combiner namespace ET namePrefix
# nameSuffix: -stable

commonLabels:
  variante: stable-phase

resources:
  - ../../base

replicas:    # https://kubectl.docs.kubernetes.io/references/kustomize/kustomization/replicas/
  - name: nginx-discret
    count: 99

images:
  - name: nginx   # ATTENTION !!! Doit correspondre à la partie repository de l'image ET NON à la valeur de la clef "name" du dictionnaire "image" de la description d'un conteneur
   # newName: nginx       # facultatif si le nom de l'image ne change pas
    newTag: 1.18-alpine
